Groovy Documentation

## org.codehaus.groovy.tools.shell.util
[Java] Class NoExitSecurityManager

    java.lang.Object
      java.lang.SecurityManager
          org.codehaus.groovy.tools.shell.util.NoExitSecurityManager

    public class NoExitSecurityManager
    extends java.lang.SecurityManager

Custom security manager to java.lang.System#exit (and related) from being used.

Version:
  \$Rev\$ \$Date\$

Constructor Summary
`NoExitSecurityManager(java.lang.SecurityManager parent)`
`NoExitSecurityManager()`

Method Summary
`void` | `checkExit(int code)` Always throws java.lang.SecurityException.
`void` | `checkPermission(java.security.Permission perm)`

Methods inherited from class java.lang.SecurityManager

java.lang.SecurityManager#checkPackageAccess(java.lang.String), java.lang.SecurityManager#checkCreateClassLoader(), java.lang.SecurityManager#checkPropertiesAccess(), java.lang.SecurityManager#checkPropertyAccess(java.lang.String), java.lang.SecurityManager#checkMemberAccess(java.lang.Class, int), java.lang.SecurityManager#checkPermission(java.security.Permission), java.lang.SecurityManager#checkPermission(java.security.Permission, java.lang.Object), java.lang.SecurityManager#getThreadGroup(), java.lang.SecurityManager#checkAccess(java.lang.Thread), java.lang.SecurityManager#checkAccess(java.lang.ThreadGroup), java.lang.SecurityManager#checkExit(int), java.lang.SecurityManager#checkLink(java.lang.String), java.lang.SecurityManager#checkRead(java.io.FileDescriptor), java.lang.SecurityManager#checkRead(java.lang.String), java.lang.SecurityManager#checkRead(java.lang.String, java.lang.Object), java.lang.SecurityManager#checkWrite(java.io.FileDescriptor), java.lang.SecurityManager#checkWrite(java.lang.String), java.lang.SecurityManager#checkDelete(java.lang.String), java.lang.SecurityManager#checkExec(java.lang.String), java.lang.SecurityManager#checkConnect(java.lang.String, int), java.lang.SecurityManager#checkConnect(java.lang.String, int, java.lang.Object), java.lang.SecurityManager#checkSetFactory(), java.lang.SecurityManager#checkSecurityAccess(java.lang.String), java.lang.SecurityManager#checkTopLevelWindow(java.lang.Object), java.lang.SecurityManager#checkListen(int), java.lang.SecurityManager#checkAccept(java.lang.String, int), java.lang.SecurityManager#getInCheck(), java.lang.SecurityManager#getSecurityContext(), java.lang.SecurityManager#checkMulticast(java.net.InetAddress), java.lang.SecurityManager#checkMulticast(java.net.InetAddress, byte), java.lang.SecurityManager#checkPrintJobAccess(), java.lang.SecurityManager#checkSystemClipboardAccess(), java.lang.SecurityManager#checkAwtEventQueueAccess(), java.lang.SecurityManager#checkPackageDefinition(java.lang.String), java.lang.SecurityManager#wait(long), java.lang.SecurityManager#wait(long, int), java.lang.SecurityManager#wait(), java.lang.SecurityManager#equals(java.lang.Object), java.lang.SecurityManager#toString(), java.lang.SecurityManager#hashCode(), java.lang.SecurityManager#getClass(), java.lang.SecurityManager#notify(), java.lang.SecurityManager#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NoExitSecurityManager

    public NoExitSecurityManager(java.lang.SecurityManager parent)

### NoExitSecurityManager

    public NoExitSecurityManager()

Method Detail

### checkExit

    public void checkExit(int code)

  Always throws java.lang.SecurityException.

### checkPermission

    public void checkPermission(java.security.Permission perm)

Groovy Documentation